package com.inkasso.factoring.acceptanceManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 钢小二-销售单和验收单关联关系表
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
@TableName("c_acceptance_sell_bill_ref")
public class CAcceptanceSellBillRef {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 验收单-基础信息表ID
     */
    @TableField("c_acceptance_basic_info_id")
    private Long cAcceptanceBasicInfoId;

    /**
     * 钢小二-销售单信息id
     */
    @TableField("sell_bill_id")
    private Long sellBillId;

    /**
     * 销售单号
     */
    @TableField("sell_bill_number")
    private String sellBillNumber;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcAcceptanceBasicInfoId() {
        return cAcceptanceBasicInfoId;
    }

    public void setcAcceptanceBasicInfoId(Long cAcceptanceBasicInfoId) {
        this.cAcceptanceBasicInfoId = cAcceptanceBasicInfoId;
    }

    public Long getSellBillId() {
        return sellBillId;
    }

    public void setSellBillId(Long sellBillId) {
        this.sellBillId = sellBillId;
    }

    public String getSellBillNumber() {
        return sellBillNumber;
    }

    public void setSellBillNumber(String sellBillNumber) {
        this.sellBillNumber = sellBillNumber;
    }

    @Override
    public String toString() {
        return "CAcceptanceSellBillRef{" +
                "id=" + id +
                ", cAcceptanceBasicInfoId=" + cAcceptanceBasicInfoId +
                ", sellBillId=" + sellBillId +
                ", sellBillNumber=" + sellBillNumber +
                "}";
    }
}
